%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		seafile
Version:	6.0.7
Release:	%mkrel 1
Summary:	Open source cloud storage system with features on privacy protection and teamwork
License:	GPLv3+
Group:		Networking/File transfer
URL:		https://github.com/haiwen/seafile
Source0:	https://github.com/haiwen/seafile/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  intltool
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(uuid) >= 2.0
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libsearpc)
BuildRequires:	pkgconfig(libccnet)
BuildRequires:	pkgconfig(python2)
BuildRequires:	vala >= 0.26

Requires:	ccnet >= %{version}
Requires:	pythonegg(2)(seafile) = %{version}-%{release}

%description
Seafile is an open source cloud storage system with features on privacy
protection and teamwork. Collections of files are called libraries, and
each library can be synced separately. A library can also be encrypted
with a user chosen password. Seafile also allows users to create groups
and easily sharing files into groups.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Seafile is an open source cloud storage system with features on privacy
protection and teamwork. Collections of files are called libraries, and
each library can be synced separately. A library can also be encrypted
with a user chosen password. Seafile also allows users to create groups
and easily sharing files into groups.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package -n	python-%{name}
Summary:	Python 2 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
Provides:	pythonegg(2)(seafile) = %{version}-%{release}

%description -n	python-%{name}
Seafile is an open source cloud storage system with features on privacy
protection and teamwork. Collections of files are called libraries, and
each library can be synced separately. A library can also be encrypted
with a user chosen password. Seafile also allows users to create groups
and easily sharing files into groups.
This package contains the python 2 bindings for %{name}.

#----------------------------------------------------

%prep
%setup -q
%autopatch -p1

sed -i -e /\(DESTDIR\)/d lib/libseafile.pc.in

NOCONFIGURE=1 ./autogen.sh

%build
%configure2_5x \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc README.markdown
%license LICENSE.txt
%{_bindir}/seaf-cli
%{_bindir}/seaf-daemon
%{_mandir}/man1/*.1.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc README.markdown
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%files -n python-%{name}
%doc README.markdown
%{python2_sitearch}/%{name}/


%changelog
* Sun Jul 02 2017 daviddavid <daviddavid> 6.0.7-1.mga6
+ Revision: 1108911
- new version: 6.0.7

* Sat Jul 01 2017 daviddavid <daviddavid> 6.0.6-1.mga6
+ Revision: 1108839
- new version: 6.0.6

* Wed May 03 2017 akien <akien> 6.0.4-1.mga6
+ Revision: 1098916
- Version 6.0.4
  o Fixes build against ccnet 6.0.4
  o Drops server subpackage

* Wed Apr 26 2017 akien <akien> 6.0.0-3.mga6
+ Revision: 1097534
- Rebuild against ccnet 6.0.4

* Wed Feb 15 2017 mrambo3501 <mrambo3501> 6.0.0-2.mga6
+ Revision: 1086253
- rebuild for new libevent

* Mon Oct 31 2016 daviddavid <daviddavid> 6.0.0-1.mga6
+ Revision: 1064292
- new version: 6.0.0

* Thu Jun 30 2016 daviddavid <daviddavid> 5.1.3-1.mga6
+ Revision: 1038172
- new version: 5.1.3

* Thu May 12 2016 daviddavid <daviddavid> 5.1.1-4.mga6
+ Revision: 1014279
- add the server part of seafile

* Sat May 07 2016 daviddavid <daviddavid> 5.1.1-3.mga6
+ Revision: 1010167
- add another missing requires on ccnet

* Sat May 07 2016 daviddavid <daviddavid> 5.1.1-2.mga6
+ Revision: 1010149
- add missing requires on python-seafile

* Fri May 06 2016 daviddavid <daviddavid> 5.1.1-1.mga6
+ Revision: 1009890
- initial package seafile

